Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class Table

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v3.Table

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:52:47+02:00",
               comments="JAXB RI v2.2.11")
    public class Table

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Row" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <choice>
                         <element name="EncryptableLeftCell" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                       </choice>
                       <choice>
                         <element name="EncryptableRightCell" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                       </choice>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="Title" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Table()`

Method Summary
`List<Row>` | `getRows()` Gets the value of the rows property.
`String` | `getTitle()` Gets the value of the title property.
`void` | `setTitle(String value)` Sets the value of the title property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table()

Method Detail

### getRows

    public List<Row> getRows()

  Gets the value of the rows property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rows property.

  For example, to add a new item, do as follows:

          getRows().add(newItem);

  Objects of the following type(s) are allowed in the list `Row`

### getTitle

    public String getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `String`

### setTitle

    public void setTitle(String value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.